cutlass::Shape< kD_, kH_, kW_, kC_ > Struct Template Reference
Layout Concept

A Shape implementing Layout Concept describing the dimensions of a cube.

`#include <shape.h>`

## Static Public Attributes

static int const | kD = kD_
| The depth of the cube. More...
static int const | kH = kH_
| The height of the cube. More...
static int const | kW = kW_
| The width of the cube. More...
static int const | kC = kC_
| The number of scalars per element. More...

## Member Data Documentation

## kC

template<int kD_ = 1, int kH_ = 1, int kW_ = 1, int kC_ = 1>

int const cutlass::Shape< kD_, kH_, kW_, kC_ >::kC = kC_

static

## kD

template<int kD_ = 1, int kH_ = 1, int kW_ = 1, int kC_ = 1>

int const cutlass::Shape< kD_, kH_, kW_, kC_ >::kD = kD_

static

## kH

template<int kD_ = 1, int kH_ = 1, int kW_ = 1, int kC_ = 1>

int const cutlass::Shape< kD_, kH_, kW_, kC_ >::kH = kH_

static

## kW

template<int kD_ = 1, int kH_ = 1, int kW_ = 1, int kC_ = 1>

int const cutlass::Shape< kD_, kH_, kW_, kC_ >::kW = kW_

static

The documentation for this struct was generated from the following file:

- shape.h